export var GlobalEventTypes;
(function (GlobalEventTypes) {
    GlobalEventTypes["ErrorsLoad"] = "fb:errors:load";
    GlobalEventTypes["FeaturesLoaded"] = "fb:features:loaded";
    GlobalEventTypes["FeatureValueChanged"] = "fb:feature:value:changed";
    GlobalEventTypes["NavigationSelect"] = "fb:navigation:select";
})(GlobalEventTypes || (GlobalEventTypes = {}));
export default class GlobalEvents extends Jade.EventBus {
    errorsLoadSubscribe(callback) {
        return super.subscribe(GlobalEventTypes.ErrorsLoad, callback);
    }
    featuresLoadedSubscribe(callback) {
        return super.subscribe(GlobalEventTypes.FeaturesLoaded, callback);
    }
    featureValueChangedSubscribe(callback) {
        super.publish(GlobalEventTypes.FeatureValueChanged, callback);
    }
    navigationSelectSubscribe(callback) {
        return super.subscribe(GlobalEventTypes.NavigationSelect, callback);
    }
    errorsLoadPublish() {
        super.publish(GlobalEventTypes.ErrorsLoad);
    }
    featuresLoadedPublish() {
        super.publish(GlobalEventTypes.FeaturesLoaded);
    }
    featureValueChangedPublish() {
        super.publish(GlobalEventTypes.FeatureValueChanged);
    }
    navigationSelectPublish(e) {
        super.publish(GlobalEventTypes.NavigationSelect, e);
    }
}
